Package org.jboss.modules

# Class JarModuleFinder

java.lang.Object
org.jboss.modules.JarModuleFinder

All Implemented Interfaces:
  `ModuleFinder`

@Deprecated public final class JarModuleFinder extends Object implements ModuleFinder
Deprecated.
`FileSystemClassPathModuleFinder` and/or `ResourceLoaderModuleFinder` should be used instead for more complete functionality.
A module finder which uses a JAR file as a module repository.

Author:
  David M. Lloyd, Richard Opalka

## Constructor Summary

Constructors
Constructor
Description
`JarModuleFinder(String myName, JarFile jarFile)`
Deprecated.
Construct a new instance.
`JarModuleFinder(ModuleIdentifier myIdentifier, JarFile jarFile)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `JarModuleFinder(String,JarFile)` instead.

## Method Summary

Modifier and Type
Method
Description
`ModuleSpec`
`findModule(String name, ModuleLoader delegateLoader)`
Deprecated.
Find a module specification for the given name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.modules.ModuleFinder

`findModule`

## Constructor Details

### JarModuleFinder

@Deprecated(forRemoval=true) public JarModuleFinder(ModuleIdentifier myIdentifier, JarFile jarFile)
Deprecated, for removal: This API element is subject to removal in a future version.
Use `JarModuleFinder(String,JarFile)` instead.
Construct a new instance.

Parameters:
  `myIdentifier` - the identifier to use for the JAR itself
  `jarFile` - the JAR file to encapsulate

### JarModuleFinder

public JarModuleFinder(String myName, JarFile jarFile)
Deprecated.
Construct a new instance.

Parameters:
  `myName` - the name to use for the JAR itself
  `jarFile` - the JAR file to encapsulate

## Method Details

### findModule

public ModuleSpec findModule(String name, ModuleLoader delegateLoader) throws ModuleLoadException
Deprecated.
Description copied from interface: `ModuleFinder`
Find a module specification for the given name. The default implementation delegates to the legacy `ModuleFinder.findModule(ModuleIdentifier, ModuleLoader)` method for now, however this behavior will be discontinued in the future.

Specified by:
  `findModule` in interface `ModuleFinder`
Parameters:
  `name` - the module name
  `delegateLoader` - the module loader from which dependencies should be resolved
Returns:
  the module specification, or `null` if no specification is found for this identifier
Throws:
  `ModuleLoadException`